package com.njyunzhi.ubpa.common;

import cn.dev33.satoken.stp.StpUtil;
import com.njyunzhi.ubpa.entity.SysUser;
import com.njyunzhi.ubpa.entity.TaUser;
import com.njyunzhi.ubpa.service.ISysUserService;
import com.njyunzhi.ubpa.service.ITaUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BaseController {

    @Autowired
    public ISysUserService iSysUserService;

    @Autowired
    public ITaUserService iTaUserService;
    
    public SysUser currentAdmin() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        SysUser user = iSysUserService.getById(loginId);
        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("人员不存在");
        }

        return user;
    }

    public TaUser currentUser() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        TaUser user = iTaUserService.getById(loginId);
        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("人员不存在");
        }

        return user;
    }
}
