package com.njyunzhi.ubpa.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.ubpa.entity.TaResumeWorkForm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.ubpa.vo.FormExport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 复工申请 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Mapper
public interface TaResumeWorkFormMapper extends BaseMapper<TaResumeWorkForm> {

    List<FormExport> formExport(@Param("orgId") String orgId,
                                @Param("userName") String userName,
                                @Param("startDate") LocalDateTime startDate,
                                @Param("endDate") LocalDateTime endDate,
                                @Param("status") int status);


    Map<String, Integer> statisNum(@Param("orgId") String orgId, @Param("startDate") LocalDateTime start, @Param("endDate") LocalDateTime end);

    IPage<TaResumeWorkForm> getPageBy(IPage<TaResumeWorkForm> pg,
                                      @Param("orgId") String orgId,
                                      @Param("userName") String userName,
                                      @Param("startDate") LocalDateTime startDate,
                                      @Param("endDate") LocalDateTime endDate,
                                      @Param("status") int status,
                                      @Param("isAbnormal") Boolean isAbnormal,
                                      @Param("deleteStartDate") LocalDateTime deleteStartDate,
                                      @Param("deleteEndDate") LocalDateTime deleteEndDate);
}
