package com.njyunzhi.ubpa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.ubpa.common.Constants;
import com.njyunzhi.ubpa.entity.TaOrg;
import com.njyunzhi.ubpa.mapper.TaOrgMapper;
import com.njyunzhi.ubpa.service.ITaOrgService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 企业表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Service
public class TaOrgServiceImpl extends BaseServiceImpl<TaOrgMapper, TaOrg> implements ITaOrgService {

    @Override
    public int countTotal() {
        QueryWrapper<TaOrg> queryWrapper = new QueryWrapper<>();
        queryWrapper.gt("status", Constants.STATUS_DELETE);

        return count(queryWrapper);
    }

    @Override
    public int countExistsData() {
        return baseMapper.countExistsData();
    }

    @Override
    public IPage<TaOrg> getPageBy(IPage<TaOrg> pg, String orgName, String qType) {
        return baseMapper.getPageBy(pg, orgName, qType);
    }
}
