package com.njyunzhi.ubpa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.njyunzhi.ubpa.common.StringUtils;
import com.njyunzhi.ubpa.entity.TaOrg;
import com.njyunzhi.ubpa.entity.TsResumeWorkForm;
import com.njyunzhi.ubpa.mapper.TsResumeWorkFormMapper;
import com.njyunzhi.ubpa.service.ITsResumeWorkFormService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njyunzhi.ubpa.vo.StatisValue;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 通用统计 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-16
 */
@Service
public class TsResumeWorkFormServiceImpl extends ServiceImpl<TsResumeWorkFormMapper, TsResumeWorkForm> implements ITsResumeWorkFormService {

    @Override
    public int getValueByParams(String orgId, String stType, String name) {
        QueryWrapper<TsResumeWorkForm> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("name", name);
        queryWrapper.eq("st_type", stType);
        queryWrapper.isNull(StringUtils.isEmpty(orgId), "org_id");
        queryWrapper.eq(!StringUtils.isEmpty(orgId), "org_id", orgId);

        TsResumeWorkForm tsResumeWorkForm = getOne(queryWrapper);
        return null == tsResumeWorkForm ? 0 : tsResumeWorkForm.getValue();
    }

    @Override
    public List<TaOrg> getAllOrgPersonNum() {
        return baseMapper.getAllOrgPersonNum();
    }

    @Override
    public List<StatisValue> getOrgInfo(String orgId, String stType, String startDate, Integer days) {
        return baseMapper.getOrgInfo(orgId, stType, startDate, days);
    }

    @Override
    public int getOrgTotal(String orgId, String stType) {
        Integer cnt = baseMapper.getOrgTotal(orgId, stType);
        return cnt == null ? 0 : cnt;
    }
}
